package javax.swing.text;

import java.awt.Shape;
import java.awt.Graphics;

public abstract class LayeredHighlighter implements Highlighter
{
    public LayeredHighlighter() {
    }
    
    public abstract void paintLayeredHighlights(Graphics p0, int p1, int p2, Shape p3, JTextComponent p4, View p5);
    
    public abstract static class LayerPainter implements Highlighter.HighlightPainter
    {
        public abstract Shape paintLayer(Graphics p0, int p1, int p2, Shape p3, JTextComponent p4, View p5);
    }
}
